import request from '@/utils/request'
const baseUrl = import.meta.env.VITE_APP_PRODUCTION_API

// 查询检查类别列表
export function listCheck(query) {
  return request({
    url: baseUrl +'/business/check/list',
    method: 'get',
    params: query
  })
}
// 查询检查类别列表
export function listRoleCheck(query) {
  return request({
    url: baseUrl +'/business/check/roleList',
    method: 'get',
    params: query
  })
}
// 查询检查类别详细
export function getCheck(id) {
  return request({
    url: baseUrl +'/business/check/' + id,
    method: 'get'
  })
}

// 新增检查类别
export function addCheck(data) {
  return request({
    url: baseUrl +'/business/check',
    method: 'post',
    data: data
  })
}

// 修改检查类别
export function updateCheck(data) {
  return request({
    url: baseUrl +'/business/check',
    method: 'put',
    data: data
  })
}

// 删除检查类别
export function delCheck(id) {
  return request({
    url: baseUrl +'/business/check/' + id,
    method: 'delete'
  })
}
